<?php
if (!defined('TYPO3_MODE')) {
    die ('Access denied.');
}


if (TYPO3_MODE == 'BE') {

    /* @var \TYPO3\CMS\Core\Imaging\IconRegistry $iconRegistry */
    $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
    $svgProvider = \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class;
    $extIconPath = 'EXT:sitepackage/Resources/Public/Image/svg/';

    $iconRegistry->registerIcon(
        'foobar-flush',
        $svgProvider,
        ['source' => 'foobar-flush.svg']
    );

    // register Clear Cache Menu hook
    $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['additionalBackendItems']['cacheActions']['clearFoobarCache']
        = Foobar\Sitepackage\Hooks\Backend\FlushFoobarCacheHook::class;
}